# Every translatable string of the page in a language

`GET /hosting/sites/{id}/pages/{page}/translations/{locale}/units` · Rivier · hosting

Every translatable string of the page in a language: original, translation, and fresh, stale or human.

- Scope: hosting:read
- Mcp: rivier_site_translation_units
- Graphql: Query.hostingSitePageTranslationUnits
- Sdk: hosting.sitePage.translationUnits
- Cli: hosting site page translation units

## Parameters

- `id` (path, required), string
- `page` (path, required), string
- `locale` (path, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/hosting/sites/{id}/pages/{page}/translations/{locale}/units' \
  -H 'Authorization: Bearer $KEY'
```
